Developers
API referenceReferenceFiles

Files - List

List uploaded files for the selected business. Files exist separately from accounting documents until linked as attachments.

GET
/v1/business/{business_slug}/files/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Query Parameters

folder?number

Filter files by exact folder ID.

is_used?boolean

Filter files that are already attached to at least one document.

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

root?boolean

Filter files that are stored at the root level with no folder assigned.

search?string

A search term. Numeric values may also match amount fields.

The following fields are searched:

fieldmatch mode
namecontains
typecontains
documents__numberprefix
invoice__invoice_numberprefix
invoice__receiver__nameprefix
invoice__receiver__name_aliasescontains
analysis_results__values__value_strcontains
tags?number

Filter files that are linked to at least one document with the specified tag ID.

Response Body

application/json

curl -X GET "https://example.com/v1/business/string/files/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "name": "string",      "type": "string",      "file": "http://example.com",      "preview": {        "image": "http://example.com",        "blurhash": "string",        "blurhash_w": 0,        "blurhash_h": 0      },      "folder_id": 0,      "blurhash": "string",      "blurhash_w": 0,      "blurhash_h": 0,      "analysis_badges": [        {          "key": "string",          "label": "string",          "value": "string"        }      ],      "analysis_status": "PENDING",      "notes": "string"    }  ]}